Bug 134586 - SATA drives, fc3-test2 says no hard drives detected
SATA drives, fc3-test2 says no hard drives detected
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 16:10 EDT by Neil Paris
Modified: 2015-01-04 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 01:31:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from FC2 (13.15 KB, text/plain)
2004-10-04 16:11 EDT, Neil Paris
no flags Details
anaconda.log (2.55 KB, text/plain)
2004-10-04 21:30 EDT, Neil Paris
no flags Details
syslog (15.37 KB, text/plain)
2004-10-04 21:30 EDT, Neil Paris
no flags Details

  None (edit)
Description Neil Paris 2004-10-04 16:10:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; rv:1.7.3)
Gecko/20040930 Firefox/0.10

Description of problem:
When I try to install fc3-test2, the installer tells me "no hard
drives were detected". Attempting to load my own driver doesn't lead
me to any obvious choices.

Fedora Core 2 installed without a hitch on this machine (numerous times)

I checked the media, all 4 cds passed.

I will attach my dmesg output (from FC2)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Load FC3-test2 installer
2.Begin install
3.
    

Actual Results:  Installer says "no hard drives detected"

Expected Results:  Detect hard drives and continue with install

Additional info:
Comment 1 Neil Paris 2004-10-04 16:11:22 EDT
Created attachment 104743 [details]
dmesg output from FC2
Comment 2 Jeremy Katz 2004-10-04 16:26:11 EDT
Can you switch to tty2 at the point at which it says "no hard drives
detected" and grab /tmp/anaconda.log and /tmp/syslog and attach them?
Comment 3 Neil Paris 2004-10-04 21:30:31 EDT
Created attachment 104760 [details]
anaconda.log
Comment 4 Neil Paris 2004-10-04 21:30:54 EDT
Created attachment 104761 [details]
syslog
Comment 5 Bob Cochran 2004-10-11 12:35:03 EDT
I am having the same issue on an MSI K8N Neo2 Platinum motherboard
with the NForce3-250 chipset:

NFORCE3-250: IDE controller at PCI slot 0000:00:08.0
NFORCE3-250: chipset revision 162

What I think is needed is the sata_nv driver which is missing in the
Fedora Core 3 Test 2 installer code. I'm in the process of learning
how to make my own driver update disk so I can install to an SATA hard
drive. 

With a fully updated Core 3 Test 2 system using the 603 kernel, I can
definitely boot to an SATA drive. But I cannot install (from scratch)
to an SATA drive without the driver.

What I did was install to a drive connected to IDE0 (the classic PATA
connector.) Then after fully updating the new system to the 603
kernel, I fitted a HighPoint RocketHead 100 Serial ATA converter to
that drive and plugged it into the SATA1 controller on the motherboard
with an SATA cable. Here are my messages:

...
nv_sata: Primary device added
nv_sata: Primary device added
ata1: dev 0 cfg 49:2f00 82:346b 83:4b01 84:4003 85:3469 86:0801
87:4003 88:003f
ata1: dev 0 ATA, max UDMA/100, 117231408 sectors:
ata1(0): applying bridge limits
ata1: dev 0 configured for UDMA/100
scsi0 : sata_nv
ata2: no device found (phy stat 00000000)
scsi1 : sata_nv
  Vendor: ATA       Model: WDC WD600BB-00CA  Rev: 17.0
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 117231408 512-byte hdwr sectors (60022 MB)
SCSI device sda: drive cache: write back
 sda: sda1 sda2 sda3
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
...

Comment 6 Matt Whiteley 2004-10-11 12:39:45 EDT
This appears to be a board with the same SATA controller as my MSI K8N Neo Platinum. I 
missed the model of Neil's board if it was stated. I read the logs he attached and they are 
similar to my own.

I have started work on a driver disk and posted the contents at:
http://www.cat.pdx.edu/~mattw/sata_nv/

I'm wondering why sata_nv is not included in the boot.iso kernel but is included in the 
kernel rpm. Is it an oversight or is something wrong with it?
Comment 7 Bill Nottingham 2004-10-11 12:41:26 EDT
Oversight, now corrected.
Comment 8 Bob Cochran 2004-10-11 13:44:42 EDT
CD #1 boots from isolinux and that uses an initrd. Don't forget to add
the modules to that initrd. That was corrected too, right? I unpacked
my initrd image from the 603 kernel and these files are among those in
the lib directory:

lib
.....
lib/sata_nv.ko
lib/libata.ko
....
lib/scsi_mod.ko
....
Comment 9 Andrew Surratt 2004-10-11 17:24:24 EDT
I know how to make use of a driver disk, but I have no idea how to
create one.  What are the chances of someone (Matt W., perhaps???)
making an sata_nv driver disk for use with FC3 Test 3?
Comment 10 Andrew Surratt 2004-10-12 10:30:45 EDT
D'oh, I guess Matt's driver disk, if created for FC3T2, would still
work with FC3T3.  (Right?)
Comment 11 Matt Whiteley 2004-10-13 13:35:55 EDT
Fixed in RAWHIDE as of 10/13 in kernel 2.6.8-1.610. I attempted to set
resolution to RAWHIDE, but don't have sufficient permissions.
Comment 12 carlos puchol 2004-10-21 14:21:14 EDT
hi,

i just tried fc3t3, and it does not detect the sata drive.
i have a motherboard called lanparty 250gb, also nforce3.

when starting with noprobe, i still do not get a choice to
load the nvidia sata (sata_nv) device.

in which way was this fixed?
perhaps i am missing something?

all i can guess is that perhaps the sata_nv is now a built module,
but then it does not get detected/loaded?

i looked in the log page (alt-f3, i think) and it did detect the
controller for both nforce3 PATA and SATA, but for both of them it
reported "(unknown)" at the end of the line. other hardware reported
what looked like a module name at the end of the line in parenthesis.

i am not sure how to take a full log during install
and pull it out, without network, etc. perhaps i can use a
mounted drive, but that may take me a little while.
let me know if that would help.

thanks!

carlos puchol - cpg at users dot sourceforge.net
Comment 13 Neil Paris 2004-11-22 20:54:23 EST
I have successfully installed FC3, so I think this can be marked
FIXED. Thanks!
Comment 14 Bob Cochran 2004-11-22 20:59:54 EST
And I agree, I installed FC3 to an SATA drive and subsequently added a
second SATA drive. All seems well.

Note You need to log in before you can comment on or make changes to this bug.